Companies
List Companies
List every company registered under the team, with its verification and SMP registration status.
GET
List every company registered under the team, with its verification and SMP registration status. This response is not paginated.
AuthorizationBasic <token>
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Query Parameters
enterpriseNumber?string
Filter companies by enterprise number
Example
"1234567894"vatNumber?string
Filter companies by VAT number
Example
"BE1234567894"Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/companies"{ "success": true, "companies": [ { "id": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA", "teamId": "team_01JQZ8X0M4T7RB6K9V2NDHW3PA", "name": "Recommand BV", "address": "Kortrijksesteenweg 1092", "postalCode": "9051", "city": "Gent", "country": "BE", "enterpriseNumberScheme": "0208", "enterpriseNumber": "1012081766", "vatNumber": "BE1012081766", "email": "billing@example.com", "phone": "+32 9 396 20 39", "isSmpRecipient": true, "isVerified": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}